package org.expeditee.core;

import org.expeditee.gio.EcosystemManager;
import org.expeditee.gio.EcosystemManager.Ecosystem;

/**
 * This interface should be implemented by any class that can only be used
 * in a specific set of ecosystems.
 * 
 * @author cts16
 */
public interface EcosystemSpecific
{
	/** Whether the class is supported on the given ecosystem. */
	public boolean isSupportedOnEcosystem(Ecosystem ecosystem);
	
	/** Whether the class is supported on the current ecosystem. */
	public default boolean isSupportedOnCurrentEcosystem()
	{
		return isSupportedOnEcosystem(EcosystemManager.getType());
	}
	
}
