package org.expeditee.core;

/**
 * Represents a way of filling in an area with colour. This base Fill
 * class represents just filling the entire area with a single solid
 * colour, but inheriting classes may add other modes of filling.
 * 
 * @author cts16
 */
public class Fill {

	/** The colour with which to fill an area. */
	private Colour _colour;
	
	/** Standard constructor. */
	public Fill(Colour colour)
	{
		setColour(colour);
	}
	
	/** Default constructor defaults to whatever the default Colour constructor provides. */
	public Fill()
	{
		setColour(new Colour());
	}
	
	/** Sets the fill colour. */
	public void setColour(Colour colour)
	{
		_colour = colour;
	}
	
	/** Gets the fill colour. */
	public Colour getColour()
	{
		return _colour;
	}
	
}
