package org.expeditee.core;

/**
 * A wrapper type to allow the ability to pass values by reference.
 * 
 * @author cts16
 */
public class InOutReference<T> {

	/** The value of this reference. */
	private T _value;
	
	/** Default constructor. */
	public InOutReference()
	{
		_value = null;
	}
	
	/** Standard constructor. */
	public InOutReference(T value)
	{
		_value = value;
	}
	
	/** Copy constructor. */
	public InOutReference(InOutReference<T> other)
	{
		this(other._value);
	}
	
	/** Gets the value of this reference (dereferences). */
	public T get()
	{
		return _value;
	}
	
	/** Sets the value of this reference. */
	public void set(T value)
	{
		_value = value;
	}
	
	@Override
	public InOutReference<T> clone()
	{
		return new InOutReference<T>(this);
	}
	
	@Override
	public boolean equals(Object other)
	{
		if (other instanceof InOutReference<?>) {
			return ((InOutReference<?>) other)._value.equals(_value);
		}
		
		return false;
	}
}
