package org.expeditee.core.bounds;

/**
 * The CombinationBoxBounds represents a combination bounds where every
 * component bounds is an axis-aligned box.
 * 
 * @author cts16
 */
public class CombinationBoxBounds extends CombinationBounds {

	/** Default constructor. */
	public CombinationBoxBounds()
	{
		super();
	}
	/** Standard constructor. */
	public CombinationBoxBounds(AxisAlignedBoxBounds b)
	{
		super(b);
	}
	
	@Override
	public CombinationBoxBounds add(Bounds b)
	{
		// Ensure we are only adding boxes to the underlying bounds
		if (b instanceof AxisAlignedBoxBounds) super.add(b);
		
		return this;
	}
}
