package org.expeditee.gio.gesture.data;

import org.expeditee.core.Point;
import org.expeditee.gio.EcosystemManager;

public class GestureData {

	/** All gestures have a position. */
	protected Point _position = null;
	
	public GestureData()
	{
		// Use the current mouse position
		_position = EcosystemManager.getInputManager().getCursorPosition();
	}
	
	public GestureData(Point position)
	{
		if (position != null) _position = position.clone();
	}
	
	public GestureData(GestureData other)
	{
		if (other != null && other._position != null) _position = other._position.clone();
	}
	
	public Point getPosition()
	{
		if (_position == null) return null;
		
		return _position.clone();
	}
	
	public GestureData clone()
	{
		return new GestureData(this);
	}
	
}
