package org.expeditee.gio.gesture.data;

public class InsertStringGestureData extends ItemSpecificGestureData {
	
	private String _string;
	private boolean _shiftDown; // Required for Shift+Tab
	
	public InsertStringGestureData(String string, boolean shiftDown)
	{
		super();
		_string = string;
		_shiftDown = shiftDown;
	}
	
	public InsertStringGestureData(char c, boolean shiftDown)
	{
		super();
		_string = new String("" + c);
		_shiftDown = shiftDown;
	} 
	
	public InsertStringGestureData(InsertStringGestureData other)
	{
		super(other);
		_string = new String(other._string);
		_shiftDown = other._shiftDown;
	}
	
	public String getString()
	{
		return _string;
	}
	
	public boolean isShiftDown()
	{
		return _shiftDown;
	}
	
	@Override
	public GestureData clone()
	{
		return new InsertStringGestureData(this);
	}

}
