package org.expeditee.gio.gesture.data;

public class NavigateTextGestureData extends ItemSpecificGestureData {

	public enum NavigateTo {
		PREVIOUS_CHARACTER,
		NEXT_CHARACTER,
		PREVIOUS_WORD,
		NEXT_WORD,
		ABOVE_LINE,
		BELOW_LINE,
		LINE_END,
		LINE_HOME,
		PARAGRAPH_END,
		PARAGRAPH_HOME,
		NEXT_TEXT_ITEM,
		PREVIOUS_TEXT_ITEM
	}
	
	private NavigateTo _navigateTo;
	private boolean _selecting;
	
	public NavigateTextGestureData(NavigateTo navigateTo, boolean selecting)
	{
		super();
		_navigateTo = navigateTo;
		_selecting = selecting;
	}
	
	public NavigateTextGestureData(NavigateTextGestureData other)
	{
		super(other);
		_navigateTo = other._navigateTo;
		_selecting = other._selecting;
	}
	
	public NavigateTo getNavigateTo()
	{
		return _navigateTo;
	}
	
	public boolean getSelecting()
	{
		return _selecting;
	}
	
	@Override
	public GestureData clone()
	{
		return new NavigateTextGestureData(this);
	}
}
