package org.expeditee.gio.gesture.data;

import org.expeditee.core.Point;

/**
 * Extra data provided with PAN gestures.
 * 
 * @author cts16
 *
 */
public class PanGestureData extends GestureData {

	/** The position where this PAN gesture started. */
	private Point _panStart;
	/** The distance to pan through. */
	private Point _panDelta;
	
	public PanGestureData(Point position, Point startPosition, Point deltaPosition)
	{
		super(position);
		_panStart = startPosition.clone();
		_panDelta = deltaPosition.clone();
	}
	
	public PanGestureData(PanGestureData other) {
		super(other);
		_panStart = other._panStart.clone();
		_panDelta = other._panDelta.clone();
	}
	
	public Point getPanStart()
	{
		return _panStart.clone();
	}
	
	public Point getPanDelta()
	{
		return _panDelta.clone();
	}

	@Override
	public GestureData clone() {
		return new PanGestureData(this);
	}

}
