package org.expeditee.gio.gesture.data;

import org.expeditee.core.Point;

public class PickUpGestureData extends SelectAreaGestureData {

	protected boolean _copy;
	protected boolean _extrude;
	protected boolean _inheritAttributes;
	
	public PickUpGestureData(Point moveTo, Point draggedFrom, boolean copy, boolean inheritAttributes)
	{
		super(moveTo, draggedFrom, false);
		_copy = copy;
		_extrude = false;
		_inheritAttributes = inheritAttributes;
	}
	
	public PickUpGestureData(boolean copy, boolean extrude, boolean inheritAttributes)
	{
		super();
		_copy = copy;
		_extrude = extrude;
		_inheritAttributes = inheritAttributes;
	}
	
	public PickUpGestureData(boolean copy, boolean extrude)
	{
		this(copy, extrude, false);
	}
	
	public PickUpGestureData(boolean copy)
	{
		this(copy, false);
	}
	
	public PickUpGestureData(PickUpGestureData other)
	{
		super(other);
		if (other != null) {
			_copy = other._copy;
			_extrude = other._extrude;
			_inheritAttributes = other._inheritAttributes;
		}
	}
	
	public boolean getCopy()
	{
		return _copy;
	}
	
	public boolean getExtrude()
	{
		return _extrude;
	}
	
	public boolean getInheritAttributes()
	{
		return _inheritAttributes;
	}
	
	public PickUpGestureData clone()
	{
		return new PickUpGestureData(this);
	}
}
