package org.expeditee.gio.gesture.data;

import org.expeditee.core.Point;

/**
 * Gesture data for scale gesture.
 * 
 * @author cts16
 */
public class ScaleGestureData extends ItemSpecificGestureData {
	
	private int _scaleFactor;
	
	public ScaleGestureData(int scaleFactor)
	{
		super();
		_scaleFactor = scaleFactor;		
	}
	
	/**
	 * @param centreOfScale
	 * 			Position to scale outward from. Should be
	 * 			null to scale relative to item.
	 * 
	 * @param scaleFactor
	 */
	public ScaleGestureData(Point centreOfScale, int scaleFactor)
	{
		super(centreOfScale);
		_scaleFactor = scaleFactor;
	}
	
	public ScaleGestureData(ScaleGestureData other)
	{
		super(other);
		_scaleFactor = other._scaleFactor;
	}
	
	public int getScaleFactor()
	{
		return _scaleFactor;
	}
	
	@Override
	public GestureData clone()
	{
		return new ScaleGestureData(this);
	}

}
