package org.expeditee.gio.input;

/**
 * The base class for all input event types.
 * 
 * @author cts16
 */
public class InputEvent {

	/** The possible types of input Expeditee deals with. */
	public enum InputType {
		KBM,
		TIMEOUT,
		TOUCH,
		VOICE,
		ETC
	}
	
	/** The type of input this event came from. */
	private InputType _inputType;
	
	/** Standard constructor must provide the type of input event. */
	protected InputEvent(InputType type)
	{
		_inputType = type;
	}
	
	/** Returns the input type for this event. */
	public InputType getInputType()
	{
		return _inputType;
	}
}
